Results 1 to 6 of 6

Thread: Upgrade ExtReact from 6.5.1 to 6.6.0

  1. #1
    Sencha Premium User
    Join Date
    Jul 2014
    Posts
    42

    Default Upgrade ExtReact from 6.5.1 to 6.6.0

    Hi,
    I am using trail to test the feature of ExtReact.

    Recently, I tried to upgrade ExtReact from 6.5.1 to 6.6.0. I followed this guide: https://docs.sencha.com/extreact/6.6...de_to_6.6.html
    but I am not success with the following exception:
    (I think still have another exception even I solved this.)
    2018-09-10_174814.jpg


    I tried to create a new project application followed this web: https://docs.sencha.com/extreact/6.6...g_started.html
    After created the application template with the default code and npm start, there is a exception also.....
    2018-09-10_170205.jpg


    Anyone can help? I

  2. #2
    Sencha - Forum Administrator
    Join Date
    Sep 2017
    Posts
    1,005
    Answers
    5

    Default

    Hello- I have passed your issue on to a team member that is working to help you. We will be in touch shortly with a solution. Thank you for your patience!

  3. #3
    Sencha Staff
    Join Date
    Sep 2017
    Posts
    126
    Answers
    1

    Default

    Hi,

    Apologies for the wait time.

    We would like to let you know that our engineering team is working to see if there is any solution for this issue and will follow-up tomorrow.

    Thanks for your continued support & cooperation.

    Regards,
    Pavan.
    Sencha Support.

  4. #4
    Sencha - Sustaining Engineer tristan.lee's Avatar
    Join Date
    Mar 2015
    Location
    Central Ohio
    Posts
    1,579
    Answers
    165

    Default

    Quote Originally Posted by happyboyhk View Post
    I tried to create a new project application followed this web: https://docs.sencha.com/extreact/6.6...g_started.html
    After created the application template with the default code and npm start, there is a exception also.....
    2018-09-10_170205.jpg


    Anyone can help? I
    This issue was present when React 16.4 was released which was fixed in ExtReact 6.6.1. Try to reinstall the modules and the problem should be resolved.
    Tristan Lee
    Sencha Inc - Sustaining Engineer


    Having an issue? Help us help you - be detailed; provide some code; demonstrate with a fiddle (fiddle.sencha.com)

    Embed your fiddle in your post: [FIDDLE]id[/FIDDLE]

  5. #5
    Sencha Premium User
    Join Date
    Jul 2014
    Posts
    42

    Default

    Quote Originally Posted by tristan.lee View Post
    This issue was present when React 16.4 was released which was fixed in ExtReact 6.6.1. Try to reinstall the modules and the problem should be resolved.
    This work now for creating a new project.
    How about upgrade the project from 5.6.1 to 5.6.0?
    I tired to follow this guide again https://docs.sencha.com/extreact/6.6...de_to_6.6.html
    However, this still not success with the following error:

    2018-09-18_121545.jpg

    May I have any advise?

  6. #6
    Sencha - Sustaining Engineer tristan.lee's Avatar
    Join Date
    Mar 2015
    Location
    Central Ohio
    Posts
    1,579
    Answers
    165

    Default

    Can you post your code in responsiveFormulas.js​? (regarding your first initial question)

    As for the latest question, it would be helpful if you are able to upload a minimal project that reproduces the issue so we can better diagnose the problem.
    Tristan Lee
    Sencha Inc - Sustaining Engineer


    Having an issue? Help us help you - be detailed; provide some code; demonstrate with a fiddle (fiddle.sencha.com)

    Embed your fiddle in your post: [FIDDLE]id[/FIDDLE]

Similar Threads

  1. Replies: 3
    Last Post: 25 Apr 2018, 11:25 PM
  2. ExtReact GraphQL example
    By fmcloud in forum Q&A
    Replies: 1
    Last Post: 11 Dec 2017, 8:36 PM
  3. When will ExtReact get updated?
    By mitchellsimoens in forum Q&A
    Replies: 5
    Last Post: 10 Nov 2017, 2:36 PM
  4. Licensing of ExtReact
    By ddolheguy in forum Q&A
    Replies: 1
    Last Post: 31 Oct 2017, 5:54 AM
  5. Cost for ExtReact
    By belindaramirez in forum Q&A
    Replies: 2
    Last Post: 12 Oct 2017, 10:42 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •